> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get entity screening details

GET https://api.letsdeel.com/rest/screenings/aml/{entity_type}/{entity_id}

Returns the most recent AML screening result for the specified entity. The `entity_type` must be one of `profile`, `hris_profile`, or `legal_entity`.

 **Token scopes**: `screenings:read`

Reference: https://developer.deel.com/api/endpoints/screenings/get-aml-details

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `entity_type` (enum, required) — The type of entity to screen. Only 'profile', 'hris_profile', 'legal_entity' are accepted.
  - Allowed values: `profile`, `hris_profile`, `legal_entity`
- `entity_id` (string, required) — UUID v4 of the entity

## Response

### 200

Details of the screening request for the specified entity type and ID.

- `result` (enum, required) — The result of the screening. ACCEPT means the screening passed, REJECT means it failed, and REFERRED means it is pending further review.
  - Allowed values: `ACCEPT`, `REJECT`, `REFERRED`, `PENDING`
- `entity_id` (string, required) — UUID of the entity.
- `entity_type` (enum, required) — The type of entity being screened.
  - Allowed values: `profile`, `hris_profile`, `legal_entity`
- `detailed_results` (ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResults, required) — Details of checks performed for this screening.

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Entity not found

- `errors` (list of ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResults

Details of checks performed for this screening.

- `pep` (enum, optional) — The result of the PEP (Politically Exposed Person) check.
  - Allowed values: `PASS`, `FAIL`
- `sanctions` (enum, optional) — The result of the sanctions check.
  - Allowed values: `PASS`, `FAIL`
- `adverse_media` (enum, optional) — The result of the adverse media check.
  - Allowed values: `PASS`, `FAIL`

### ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `message` (string, optional) — A description of the returned error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "result": "ACCEPT",
  "entity_id": "UUID of a profile",
  "entity_type": "profile",
  "detailed_results": {
    "pep": "PASS",
    "sanctions": "PASS",
    "adverse_media": "PASS"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/screenings/aml/profile/Public%20UUID%20of%20the%20entity"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/screenings/aml/profile/Public%20UUID%20of%20the%20entity';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/screenings/aml/profile/Public%20UUID%20of%20the%20entity"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/screenings/aml/profile/Public%20UUID%20of%20the%20entity")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/screenings/aml/profile/Public%20UUID%20of%20the%20entity")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/screenings/aml/profile/Public%20UUID%20of%20the%20entity', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/screenings/aml/profile/Public%20UUID%20of%20the%20entity");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/screenings/aml/profile/Public%20UUID%20of%20the%20entity")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```